Loading...
Searching...
No Matches
State.h File Reference
`#include "ASLog.h"`
`#include "CostModel.h"`
`#include "DefaultCostModel.h"`
`#include "Featurization.h"`
`#include "FunctionDAG.h"`
`#include "LoopNest.h"`
`#include "PerfectHashMap.h"`
`#include <set>`
`#include <unordered_set>`
`#include <vector>`

Go to the source code of this file.

## Classes

struct | Halide::Internal::Autoscheduler::NoOpMutator
struct | Halide::Internal::Autoscheduler::State
struct | Halide::Internal::Autoscheduler::State::FeatureLoopNestMutator
class | Halide::Internal::Autoscheduler::StateQueue
class | Halide::Internal::Autoscheduler::set< K >
| STL class. More...
class | Halide::Internal::Autoscheduler::unordered_set< K >
| STL class. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal
namespace | Halide::Internal::Autoscheduler

## Typedefs

using | Halide::Internal::Autoscheduler::LoopNestMap = map<const LoopNest *, pair<const LoopNest *, int>>

## Functions

bool | Halide::Internal::Autoscheduler::verify_memoized_features ()
bool | Halide::Internal::Autoscheduler::is_memoize_blocks_enabled ()
double | Halide::Internal::Autoscheduler::get_stack_memory_adjustment_factor ()
int64_t | Halide::Internal::Autoscheduler::get_stack_memory_limit ()
bool | Halide::Internal::Autoscheduler::use_adjusted_tilings ()
bool | Halide::Internal::Autoscheduler::compute_root_and_inline_only ()
template<typename PostCreateMutator>
void | Halide::Internal::Autoscheduler::deep_copy_loop_nest (LoopNest *new_loop_nest, const LoopNest *new_loop_nest_parent, const IntrusivePtr< const LoopNest > &existing_loop_nest, const PostCreateMutator &post_create_mutator)
template<typename PostCreateMutator>
LoopNest * | Halide::Internal::Autoscheduler::deep_copy_loop_nest (const IntrusivePtr< const LoopNest > &loop_nest, const PostCreateMutator &post_create_mutator)

## Variables

constexpr int | Halide::Internal::Autoscheduler::kLocalMemoryLimit = 524288